pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: devel/libbonoboui fails under Linux

> On Wed, Jun 18, 2008 at 5:09 PM, Aleksey Cheusov <> 
> wrote:
 >> Can anybody fix it?

> What is the name of your db library?
Both pkgsrc version of db4 and native db4 libraries are installed.
   pkgsrc@beaver:~/pkgsrc/devel/libbonoboui$ dpkg -l | grep db4
   ii  libdb4.2                 4.2.52+dfsg-2                        Berkeley 
v4.2 Database Libraries [runtime]
   ii  libdb4.3                 4.3.29-8                             Berkeley 
v4.3 Database Libraries [runtime]
   ii  libdb4.4                 4.4.20-8                             Berkeley 
v4.4 Database Libraries [runtime]
   pkgsrc@beaver:~/pkgsrc/devel/libbonoboui$ pkg_info -E db4

> Also, seeing the
> BUILD_DEFS/BUILD_DEFS_EFFECTS defined by would help.
pkgsrc@beaver:~/pkgsrc/devel/libbonoboui$ bmake show-var VARNAME=BUILD_DEFS
pkgsrc@beaver:~/pkgsrc/devel/libbonoboui$ bmake show-var 
pkgsrc@beaver:~/pkgsrc/devel/libbonoboui$ bmake show-var VARNAME=BDB_TYPE


> As a temporary workaround, ensure that BDB_TYPE for this package is
> db4 and add db4 to PREFER_PKGSRC.
> That is, have pkgsrc use the pkgsrc-provided db4 package.
Should I rebuild ALL packages that use db after this?

Best regards, Aleksey Cheusov.

Home | Main Index | Thread Index | Old Index